#
# spec file for package pcmanfm
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pcmanfm
Summary:        The next generation LXDE file manager
Version:        0.9.9_rc3
Release:        0.3.1
License:        GPLv2
Group:          Productivity/File utilities
Url:            http://www.lxde.org/
Source0:        %name-0.9.9.tar.bz2
Source1:        %name-rpmlintrc
Patch0:         %name-0.9.9-fix-no_return_in_non_void.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf automake desktop-file-utils gcc gcc-c++
BuildRequires:  fdupes gtk2-devel intltool menu-cache-devel
BuildRequires:  make pkg-config update-desktop-files
BuildRequires:  libfm-devel >=  0.1.16
Requires:       libfm
# needed for trash
Requires:       gvfs gvfs-backends
# needed to switch to root
Requires:       xdg-utils
# needed to mount devices
Requires:       polkit-gnome
Recommends:     %name-lang
# Please remove when openSUSE 11.3 will no more be maintained
Conflicts:      pcmanfm-legacy
Obsoletes:      pcmanfm2 < %version
Provides:       pcmanfm2 >= %version

%description
An extremly fast, lightweight, yet feature-rich
file manager with tabbed browsing. It's also the
LXDE default file manager. This is a complete
rewrite of the old pcmanfm 0.5.x series


%lang_package
%prep
%setup -q -n %name-0.9.9
%patch0 -p1

%build
%configure --enable-debug
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%suse_update_desktop_file %name Application System Utility GTK FileManager
%fdupes -s %{buildroot}
%find_lang %name

%clean
%__rm -rf %buildroot

%if 0%{?suse_version} >= 1140

%post
%desktop_database_post

%postun
%desktop_database_postun
%endif

%files
%defattr(-,root,root)
%_bindir/%name
%dir %_datadir/%name
%dir %_datadir/%name/ui
%_datadir/%name/ui/*.ui
%_datadir/applications/%name.desktop
%dir %_sysconfdir/xdg/pcmanfm
%dir %_sysconfdir/xdg/pcmanfm/default
%config %_sysconfdir/xdg/pcmanfm/default/pcmanfm.conf

%files lang -f %name.lang

%changelog
* Wed Aug 10 2011 andrea@opensuse.org
- new upstream version 0.9.9 rc3
  detailed changelog at: http://blog.lxde.org/?p=908
- removed pcmanfm-0.9.8-fixbnc648882.patch now in upstream code
- added pcmanfm-0.9.9-fix-no_return_in_non_void.patch to
  fix compiler warning
* Mon Mar 14 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Mon Nov  8 2010 andrea@opensuse.org
- added pcmanfm-0.9.8-fixbnc648882.patch from git code to fix
  bnc#648882
* Sat Oct 16 2010 andrea@opensuse.org
- new upstream version 0.9.8 RC2
  * Change path of config file from ~/.config/pcmanfm/<profile>.conf
    to ~/.config/pcmanfm/<profile>/pcmanfm.conf
  * make desktop icon moveable
  - Little fix for counting problems
  - fix after libfm API changes
  * Implement a more robust IPC mechanism to handle single instance
  * Create ~/Desktop for desktop manager if the folder
    doesn't exist
* Sat May 29 2010 andrea@opensuse.org
- new upstream version 0.9.7 RC1
- removed pcmanfm-rename-to-pcmanfm.patch, pacmanfm2 has been
  renamed pcmanfm even upstream finally
* Sun May 16 2010 andrea@opensuse.org
- new git version, translations updates and bugfixes
* Tue Apr 27 2010 andrea@opensuse.org
- translations updates
- minor code changes
* Sun Apr 25 2010 andrea@opensuse.org
- bump to version 0.9.5
- Command line improvments
- fix rename for desktop items
* Sat Apr 24 2010 andrea@opensuse.org
- Fix sf#2985899: segfault when there are no bookmarks
* Thu Apr 22 2010 andrea@opensuse.org
- Fix sf#2990189, Pressing Del when there is no selection
  crashes pcmanfm.
* Mon Apr 19 2010 andrea@opensuse.org
- new upstream version 0.9.4
  - Fix sf#2988985: Doesn't update location when using address
    bar and terminal, little fix for invalid pointer reference.
  - Fix sf#2979578 unable to open second pcmanfm instance sometimes
  - Fix sf#2985627: crash when starting without a window manager
* Sat Apr 10 2010 andrea@opensuse.org
- new git version 20100411
  - Improve single instance handling
  - Sync with API change in libfm for fm_canonicalize_filename()
  - fix for single instance handling
  - Fix file rename crash by F2 key when no files are
    selected bnc#593094
* Wed Mar 31 2010 andrea@opensuse.org
- Close tabs with middle click.
- Add supports for accelerator keys: XF86Back and XF86Forward
- Remove unused variables. Patch from (Naveen Kumar Molleti)
- Fix sf#2974159 "file sort not consistent" and also update the
  view menu properly when switching among different tabs
* Wed Mar 24 2010 andrea@opensuse.org
- new git version:
  - fixed SEGFAULTS
  - translations upgrades
  - build on new libfm API
* Mon Mar 22 2010 andrea@opensuse.org
- added polkit-gnome as runtime dependencie to allow automount
  to work properly
* Thu Mar 18 2010 andrea@opensuse.org
- upgrade to 0.9.3
* Tue Mar 16 2010 andrea@opensuse.org
- bug fixing and using new libfm APIs
* Sun Mar 14 2010 andrea@opensuse.org
- new git revision, is now possible to disable automount and
  autorun
- translations upgrades
- added rpmlintrc to suppress false positives warning
* Tue Mar  9 2010 andrea@opensuse.org
- new version 0.9.2, several bugfix
* Mon Mar  8 2010 andrea@opensuse.org
- New git snapshot 20100307
  * rebuild on new apis
* Fri Mar  5 2010 andrea@opensuse.org
- New git snapshot 20100305
  * Support creating new folders and blank files on desktop.
  * UI improvement for auto-run dialog.
  * Close auto-run dialog if the device is unmounted.
  * Implement auto-mount + auto-run for removable media.
  * Use different color for location entry if the user is
    root for warning.
* Tue Mar  2 2010 andrea@opensuse.org
- Fix cwd related bugs. commandline arguments works again
- Fixed provides/obsoletes pcmanfm2 on spec file
* Mon Mar  1 2010 andrea@opensuse.org
- added gvfs-backends as dependency
* Mon Mar  1 2010 andrea@opensuse.org
- added pcmanfm-rename-to-pcmanfm.patch
  we finally switch to pcmanfm2 as default filemanger
* Sat Feb 27 2010 andrea@opensuse.org
- Add "Open in Terminal" to popup menu of desktop items
- Little fixes
* Sat Feb 27 2010 andrea@opensuse.org
- Support opening folder in new tab with middle click
- Little UI adjustment
- Enable debug with --enable-debug to help development
* Fri Feb 26 2010 andrea@opensuse.org
- split out -lang subpackage
- improved package description
* Fri Feb 26 2010 andrea@opensuse.org
- fixed segfault with hidden files
* Mon Feb 22 2010 andrea@opensuse.org
- fixed fatal compiler warnings
* Sun Feb 21 2010 andrea@opensuse.org
- new released tarball 0.9 alpha
* Sun Feb 21 2010 andrea@opensuse.org
- new features and fixed API changes in libfm
* Sat Feb 20 2010 andrea@opensuse.org
- new git snapshot, fixed API changes in libfm
* Thu Feb 18 2010 andrea@opensuse.org
- new git snapshot, now with thumbnail support
* Wed Feb 17 2010 andrea@opensuse.org
- new git snaphot, several bug fixes and modification to use new
  libfm api
* Wed Feb 10 2010 andrea@opensuse.org
- new git snapshot
* Sun Jan 31 2010 andrea@opensuse.org
- new git version, add translations support and bug fix
* Tue Jan 26 2010 andrea@opensuse.org
- several improvments and added desktop icon
* Sun Jan 24 2010 andrea@opensuse.org
- Fix seg faults by calling pango_layout_context_changed()
  caused by stupid typos.
* Mon Jan 18 2010 andrea@opensuse.org
- new git version
* Tue Jan 12 2010 andrea@opensuse.org
- switch to pcmanfm2
* Tue Dec 22 2009 andrea@opensuse.org
- added "%%bcond_with trash_desktop_icons" to disable
  beta trash support
* Mon Dec 14 2009 andrea@opensuse.org
- fixed no-return-in-non-void error
* Sat Dec 12 2009 andrea@opensuse.org
- added some patches from Fedora
* Wed Oct 28 2009 andrea@opensuse.org
- New upstream version 0.5.2
* Tue Sep 29 2009 Andrea Florio <andrea@opensuse.org> 0.5.1
- added trash support
- added "desktop movment" support.
* Wed Jul 29 2009 Andrea Florio <andrea@opensuse.org> 0.5.1
- removed previous patch, because pcman is no more working
* Sat Jul 18 2009 Pavol Rusnak <prusnak@suse.cz> 0.5.1
- fixed gcc errors (return.patch)
* Thu May 21 2009 Andrea Florio <andrea@opensuse.org> 0.5
- new package
